import 'reflect-metadata';
import { createApp } from './app.factory';
import { AppConfigService } from './modules/config/config.service';

async function bootstrap(): Promise<void> {
  const app = await createApp();
  const port = app.get(AppConfigService).port;
  await app.listen(port);
}

void bootstrap();
